Bug 704998 - Crash while starting Desktop Live with GeForce GT240
Crash while starting Desktop Live with GeForce GT240
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
15
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 06:30 EDT by Dariusz Gadomski
Modified: 2012-08-07 11:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dariusz Gadomski 2011-05-16 06:30:45 EDT
Description of problem:
The system crashes after starting the X server - the mouse cursor freezes, the screen contains some random images from video memory.

Version-Release number of selected component (if applicable):
Fedora 15 beta

How reproducible:
Always

Steps to Reproduce:
1. Start computer (with GeForce GT240 as the primary video device), setup it to boot from CD.
2. Choose to run system in normal mode (not in basic graphics mode).
3. Wait for it to finish displaying bootsplash and to start X.
  
Actual results:
System crashes displaying random video memory, mouse cursor freezes, does not react to Ctrl+Alt+Del and SysRq+B.

Expected results:
The system starts correctly and displays the desktop.

Additional info:
The behavior is exactly as in this bug reported in Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau/+bug/763052
They blame the nouveau driver.
Comment 1 Elad Alfassa 2011-05-17 05:37:46 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Dariusz Gadomski 2011-05-20 07:41:25 EDT
I have added drm.debug=0x04 to the kernel command line. Unfortunately I have tried Fedora only as a Live DVD and after the freeze I could not get any debug information.

Is there a way (a kernel command option maybe?) to save the logs and configs from Live DVD somewhere on a mass storage device? Or maybe there is a ssh server running on the Live DVD?

When the bootsplash finishes and the X server is started I am not able to do anything:
- I cannot switch to terminals (Ctrl+Alt+<Number>),
- I cannot restart X,
- I cannot move the mouse cursor (it is not visible anywhere on the screen).
Comment 3 Matěj Cepl 2011-06-16 14:18:16 EDT
(In reply to comment #2)
> I have added drm.debug=0x04 to the kernel command line. Unfortunately I have
> tried Fedora only as a Live DVD and after the freeze I could not get any debug
> information.

Oh well (not even ssh from another computer or Ctrl-Alt-F2 to get to the console?), we have to do then without dmesg. However, remaining files would be useful.
Comment 4 Luigi Pardey 2012-02-05 11:09:34 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. 

Unless, Matej , has anything been done for this?

Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Dariusz Gadomski 2012-02-05 11:43:46 EST
(In reply to comment #3)
> (In reply to comment #2)
> > I have added drm.debug=0x04 to the kernel command line. Unfortunately I have
> > tried Fedora only as a Live DVD and after the freeze I could not get any debug
> > information.
> 
> Oh well (not even ssh from another computer or Ctrl-Alt-F2 to get to the
> console?), we have to do then without dmesg. However, remaining files would be
> useful.

I've just re-checked this behavior and it still happens with Fedora 16 Live Desktop image. I cannot switch to console with Ctrl-Alt-F2. It is also not possible to ssh from another computer (I've used sshd=1 boot option, but according to DHCP clients log on my router the PC in question is not connected).

Is there a way to extract the files listed above from live image? I use a Fedora-16-i686-Live-Desktop.iso copied with dd to a USB drive. Thanks.
Comment 6 Luigi Pardey 2012-02-05 12:03:36 EST
> Is there a way to extract the files listed above from live image? I use a
> Fedora-16-i686-Live-Desktop.iso copied with dd to a USB drive. Thanks.

I'm not quite sure. 

The files can normally be extracted from a TTY, or SSH from another computer. Generally any action that would open a command line on your machine will let you search through the filesystem and copy the files. But, as you said you're unable to do any of them, we'll have to do without them.







-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Fedora End Of Life 2012-08-07 11:34:53 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.